> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enad.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Public Folders

> Retrieves a flat list of public folders with pagination



## OpenAPI

````yaml /swagger/dam-api.json get /api/v1/{app_id}/folders/public
openapi: 3.0.0
info:
  contact:
    email: support@enad.io
    name: API Support
  description: This is the swagger for Enads Digital Assets Management service
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://enad.io/terms
  title: Digital Assets Management
  version: '1.0'
servers:
  - url: //dam.enad.io
security: []
paths:
  /api/v1/{app_id}/folders/public:
    get:
      tags:
        - Folders
      summary: Get Public Folders
      description: Retrieves a flat list of public folders with pagination
      parameters:
        - description: App ID
          in: path
          name: app_id
          required: true
          schema:
            type: string
        - description: 'Page number (default: 1)'
          in: query
          name: page
          schema:
            type: integer
        - description: 'Items per page (default: 20, max: 100)'
          in: query
          name: per_page
          schema:
            type: integer
      responses:
        '200':
          description: Public folders retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OkResponsePublicFolders'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    OkResponsePublicFolders:
      properties:
        data:
          items:
            $ref: '#/components/schemas/FolderResponse'
          type: array
        pagination:
          $ref: '#/components/schemas/internal_pkg_webserver_v1.PageInfo'
        success:
          type: boolean
      type: object
    ErrorResponse:
      properties:
        details:
          items:
            type: string
          type: array
        error:
          type: string
      type: object
    FolderResponse:
      properties:
        created_at:
          type: string
        file_count:
          type: integer
        has_content_access:
          type: boolean
        id:
          type: string
        image_count:
          type: integer
        is_default:
          type: boolean
        name:
          type: string
        parent_id:
          type: string
        public:
          type: boolean
        slug:
          type: string
        updated_at:
          type: string
        video_count:
          type: integer
      type: object
    internal_pkg_webserver_v1.PageInfo:
      properties:
        page:
          type: integer
        per_page:
          type: integer
        total_items:
          type: integer
        total_pages:
          type: integer
      type: object

````